Spring Security
  1. Spring Security
  2. SEC-1012

Update interfaces and classes to use Java 5 Constructs

    Details

    • Type: New Feature New Feature
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.0.0 M1
    • Component/s: Core
    • Labels:
      None

      Description

      2.5 will be Java 5 minimum and we will be making use of generics and other Java 5 features where appropriate

        Activity

        Hide
        Luke Taylor added a comment -

        This has mostly been done. There may still be some minor changes to APIs prior to the 2.5 final release.

        Show
        Luke Taylor added a comment - This has mostly been done. There may still be some minor changes to APIs prior to the 2.5 final release.

          People

          • Assignee:
            Luke Taylor
            Reporter:
            Luke Taylor
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: